#!/bin/sh
# Copyright (C) 2000-2016 Synology Inc. All rights reserved.

###################################
# Java7 remove script file.
#
# Usage:
#       ./remove.sh
#
# Return Value:
#       0: Every thing is ok, done.
#       1: Failed to remove Java7, due to dependent packages.
#
###################################

PKG_STATUS="$1"
DEP_PKGS=""

. /var/packages/Java7/scripts/common

chkDepend()
{
	for pack in /var/packages/*; do
		if grep "^install_dep_packages.*=.*Java7.*" ${pack}/INFO > /dev/null; then
			if [ -f ${pack}/enabled ]; then
				local pkgName=`get_key_value ${pack}/INFO displayname`
				[ -z ${pkgName} ] && pkgName=`get_key_value ${pack}/INFO package`
				DEP_PKGS="${DEP_PKGS} ${pkgName}"
			fi
		fi
	done
}

chkDepend
if [ -n "$DEP_PKGS" ]; then
	echo $DEP_PKGS
	exit 1
fi

exit 0
